@import "variables.scss";
@import "mixin.scss";

.header {
  max-width: 100%;
  margin: 0 auto;
  @include flex-center;
  &__nav {
    padding: 48px 0px;
    @media (max-width: 1200px) {
      padding: 42px 0px;
    }
    @media (max-width: 768px) {
      padding: 0px 0px;
     @include none-fixed;
      width: 185px;
      height: 208px;
      top: 60px;
      right: 25px;
      z-index: 50;
      background-color: #f5f5f5;
      animation: burgerAnimation 0.4s;
    }
  }
  &__list {
    @include flex-center-row;
    gap: 68px;
    @media (max-width: 1200px) {
      gap: 34px;
    }
    @media (max-width: 768px) {
      display: none;
      align-items: flex-start;
      margin-left: 12px;
      display: flex;
      flex-direction: column;
      row-gap: 8px;
    }
  }
  &__item {
    color: $text-color;
    font-size: 11px;
    font-weight: 400;
    line-height: 2;
    letter-spacing: 1.1px;
    text-transform: uppercase;
  }
  &__item:focus-within {
    @media (min-width: 769px) {
      color: $text-focus;
    }
  }
  &__background {
    padding-bottom: 66px;
    max-width: 100%;
    @media (max-width: 1200px) {
      padding-bottom: 56px;
    }
    @media (max-width: 768px) {
      padding-top: 83px;
    }
  }
  .open {
    display: flex !important;
  }
  .burger {
    @include none-fixed;
    z-index: 50;
    align-items: center;
    justify-content: flex-end;
    width: 44px;
    height: 37px;
    background-color: black;
  }
  .burger span {
    height: 2px;
    width: 50%;
    transform: scale(1);
    background-color: white;
    margin-right: 12px;
  }
  .burger::before,
  .burger::after {
    content: "";
    position: absolute;
    height: 2px;
    width: 50%;
    background-color: white;
    transition: all 0.3s ease 0s;
    margin-right: 12px;
  }
  .burger::before {
    top: 12px;
  }
  .burger::after {
    bottom: 12px;
  }
  .burger.active span {
    transform: scale(0);
  }
  .burger.active::before {
    top: 50%;
    transform: rotate(-45deg) translate(0, -50%);
  }
  .burger.active::after {
    bottom: 50%;
    transform: rotate(45deg) translate(0, 50%);
  }
  @media (max-width: 768px) {
    .burger {
      display: flex;
      justify-content: end;
      top: 23px;
      right: 26px;
    }
  }
  @keyframes burgerAnimation {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
  }
}
